// Form controls
.mat-column-select {
    overflow: initial;
}
.mat-column-checkbox {
    flex: 0 0 70px;
}

.mat-column-vinCode {
    flex: 1 0 60px;
}

.example-radio-group {
    display: inline-flex;
    flex-direction: column;
}
  
.example-radio-button {
    margin: 5px;
}

// Tabs
.demo-tab-group {
    border: 1px solid #e8e8e8;
  }
  
.demo-tab-content {
    padding: 16px;
}

// Button Custom
.button-subheader {
	height: 70px !important;
	width: 250px !important;
	border-radius: 6px;
	box-shadow: 0 7px 7px 0 rgba(0, 0, 0, 0.07);
	background-color: #6eb7ff;
	color: #ffffff;
	font-size: 16px;
	font-weight: 500;
	font-stretch: normal;  
	font-style: normal;
	line-height: normal;
	letter-spacing: normal;

	i {
		font-size: 24px;
		padding: 0 1.5em 0 1em;
	}

	&:hover {
		color: #ffffff;
		font-weight: bold;
	}
}

.section-workflow-newstage {
	min-height: 80px;
  	border-radius: 4px;
	width: 100%;  
	box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.1);
  	border: solid 1px #e7f2ff;
	background-color: #f0f7ff;
	padding: 22px 15px;
	margin-bottom: 15px;
	
	.position-number{
		min-height: 30px;
		border-radius: 3px;
		background-color: #f5c63a;
		text-align: center;

		.title {
			font-family: kt-get($kt-font-families, regular);
			font-size: 14px;
			font-weight: 500;
			font-stretch: normal;
			font-style: normal;
			line-height: normal;
			letter-spacing: normal;
			color: #ffffff;	
			padding-top: 5px;
		}
	}

	.title {
		font-family: kt-get($kt-font-families, regular);
		font-size: 14px;
		font-weight: 500;
		font-stretch: normal;
		font-style: normal;
		line-height: normal;
		letter-spacing: normal;
		color: #242424;
		padding: 10px 0;
	}

	&:hover {
		border: solid 1px #6eb7ff;
	}
}

.add-workflowstage-def {
	font-family: kt-get($kt-font-families, regular);
	font-size: 12px;
	font-weight: normal;
	font-stretch: normal;
	font-style: normal;
	line-height: normal;
	letter-spacing: normal;
	color: #6eb7ff;
}

.edit-workflowstage-def {
	font-family: kt-get($kt-font-families, regular);
	font-size: 12px;
	font-weight: normal;
	font-stretch: normal;
	font-style: normal;
	line-height: normal;
	letter-spacing: normal;
	color: #35bfa3;
}

.delete-workflowstage-def {
	font-family: kt-get($kt-font-families, regular);
	font-size: 12px;
	font-weight: normal;
	font-stretch: normal;
	font-style: normal;
	line-height: normal;
	letter-spacing: normal;
	color: #f18ea2;
}

.kt-padding-top-5 {
	padding-top: 10px;
}

.kt-padding-top-10 {
	padding-top: 10px;
}

.kt-padding-top-15 {
	padding-top: 15px;
}

.kt-padding-right-5 {
	padding-right: 10px;
}

.kt-padding-right-10 {
	padding-right: 10px;
}

.kt-padding-right-15 {
	padding-right: 15px;
}

.switch {
	display: inline-block;
    font-size: 1rem;
}

.switch input:empty {
    margin-left: -999px;
    height: 0;
    width: 0;
    overflow: hidden;
    position: absolute;
    opacity: 0;
}

.section-workflow-detail {
	min-height: 250px;
  	box-shadow: inset 0 4px 8px 0 rgba(0, 0, 0, 0.1);
  	background-color: #eff2fc;
	margin-bottom: 15px;
	padding: 20px 40px 10px 10px;
	
	.title {
		font-family: kt-get($kt-font-families, regular);
		font-size: 14px;
		font-weight: normal;
		font-stretch: normal;
		font-style: normal;
		line-height: normal;
		letter-spacing: normal;
		color: #8f8f8f;
		padding: 12px 0;
	}

	.section-number {
		padding-top: 5px;
		text-align: center;

		.numbering {
			font-family: kt-get($kt-font-families, regular);
			font-size: 20px;
			font-weight: normal;
			font-stretch: normal;
			font-style: normal;
			line-height: normal;
			letter-spacing: normal;
			color: #242424;
		}
	}
}

.button-submit {
	min-height: 50px !important;
	border-radius: 6px;
	box-shadow: 0 7px 7px 0 rgba(0, 0, 0, 0.07);
	background-color: #6eb7ff;
	color: #ffffff;
	font-family: kt-get($kt-font-families, regular);
	font-size: 14px;
	font-weight: normal;
	font-stretch: normal;  
	font-style: normal;
	line-height: normal;
	letter-spacing: normal;
	padding-top: 15px;

	&.button-submit--fullwidth{
		width: 100%;
	}

	i {
		font-size: 20px;
		padding-right: 10px;
	}

	&:hover {
		color: #ffffff;
		font-weight: bold;
	}
}

// Panels
.example-panel-Suspended {
    .mat-select-content {
        background: rgba(255, 0, 0, 0.5);
    }
}
  
.example-panel-Active {
    .mat-select-content {
        background:  rgba(0, 255, 0, 0.5);
    }
}

.material-icons {
    font-size: 18px !important;
}

.mat-form-list-new-style-wrapper {
	font-family: kt-get($kt-font-families, regular);
	
	.mat-form-list-header {
		padding: 11px;

		.title {
			font-size: 1.4rem;
			font-weight: 500;
			color: kt-base-color(label, 2);
		}
	}

	.mat-form-list-item-selected {
		padding: 11px 16px 11px 16px;
		width: 150px;
  		min-height: 182px;
  		border-radius: 6px;
  		box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.1);
  		border: solid 1px #15479e;
		background-color: #15479e;
		margin-bottom: 10px;
		

		.mat-form-icon-selected {
			width: 63px;
  			height: 75px;
			object-fit: contain;
			margin: 1.56rem 2rem 0.83em 2rem;
			background-image: url("assets/media/icons/svg/form-selected.svg");
		}

		.title {
			font-size: 1rem;
			font-weight: normal;
  			font-stretch: normal;
  			font-style: normal;
  			line-height: normal;
  			letter-spacing: normal;
			color: #ffffff	;
			text-align: center;
		}

		&:hover {
			@include kt-transition();
			border: solid 1px #57b8ff;

			.title {
				font-weight: 500;
			}

			.mat-form-icon {
				width: 63px;
				height: 75px;
				object-fit: contain;
				margin: 1.56rem 2rem 0.83em 2rem;
			}

			i {
				color: #ededed;
			}
		}
	}

	.mat-form-list-item {
		padding: 11px 16px 11px 16px;
		width: 150px;
  		min-height: 182px;
  		border-radius: 6px;
  		box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.1);
  		border: solid 1px #dedede;
		background-color: #ffffff;
		margin-bottom: 10px;
		
		img {
			width: 63px;
  			height: 75px;
			object-fit: contain;
			margin: 1.56rem 2rem 0.83em 2rem;
		}

		.mat-form-icon {
			width: 63px;
  			height: 75px;
			object-fit: contain;
			margin: 1.56rem 2rem 0.83em 2rem;
			background-image: url("assets/media/icons/svg/form-1.svg");
		}

		.mat-form-icon-2 {
			width: 63px;
  			height: 75px;
			object-fit: contain;
			margin: 1.56rem 2rem 0.83em 2rem;
			background-image: url("assets/media/icons/svg/form-2.svg");
		}

		.mat-form-icon-3 {
			width: 63px;
  			height: 75px;
			object-fit: contain;
			margin: 1.56rem 2rem 0.83em 2rem;
			background-image: url("assets/media/icons/svg/form-3.svg");
		}

		.mat-form-icon-4 {
			width: 63px;
  			height: 75px;
			object-fit: contain;
			margin: 1.56rem 2rem 0.83em 2rem;
			background-image: url("assets/media/icons/svg/form-4.svg");
		}

		i {
            font-size: 6rem;
            font-weight: normal;
			float: left;
			padding: 0 31px 0 25px;
        }

		.title {
			font-size: 1rem;
			font-weight: normal;
  			font-stretch: normal;
  			font-style: normal;
  			line-height: normal;
  			letter-spacing: normal;
			color: #242424;
			text-align: center;
		}

		&:hover {
			@include kt-transition();
			border: solid 1px #57b8ff;

			.title {
				font-weight: 500;
			}

			.mat-form-icon {
				width: 63px;
				height: 75px;
				object-fit: contain;
				margin: 1.56rem 2rem 0.83em 2rem;
			}

			i {
				color: #ededed;
			}
		}
		
	}
}

// LISTS
.mat-list-new-style-wrapper {
	font-family: kt-get($kt-font-families, regular);
	margin: 0 125px;

	.mat-list-header {
		padding: 11px;

		.title {
			font-size: 1.4rem;
			font-weight: 500;
			color: kt-base-color(label, 2);
		}
	}

	.mat-list-item {
		padding: 11px 16px 11px 16px;
		min-width: 270px;
  		min-height: 80px;
  		border-radius: 6px;
  		box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.1);
  		border: solid 1px #ededed;
  		background-color: #ffffff;
		margin-bottom: 10px;
		
		img {
			width: 35px;
  			height: 35px;
			object-fit: contain;
			margin: 1.56rem 2rem 0.83em 2rem;
		}

		.mat-list-icon {
			width: 37px;
  			height: 35px;
			object-fit: contain;
			margin: 14px 16px 14px 16px;
			background-image: url("assets/media/icons/svg/folder-icon.svg");
		}

		i {
            font-size: 6rem;
            font-weight: normal;
			float: left;
			padding: 0 31px 0 25px;
        }

		.title {
			font-family: kt-get($kt-font-families, regular);
			font-size: 14px;
			font-weight: 500;
  			font-stretch: normal;
  			font-style: normal;
  			line-height: normal;
  			letter-spacing: normal;
			color: #242424;
			text-align: center;
			margin: 22px 0 14px 0;
		}

		&:hover {
			@include kt-transition();
			border: solid 1px #57b8ff;

			.title {
				font-weight: 500;
			}

			.mat-list-icon {
				width: 37px;
				height: 35px;
				object-fit: contain;
				background-image: url("assets/media/icons/svg/folder-icon.svg");
			}

			i {
				color: #ededed;
			}
		}
		
	}
}

@include kt-mobile {
	.mat-list-new-style-wrapper {
		font-family: kt-get($kt-font-families, regular);
		margin: 0;
	}
}


.mat-form-field-wrapper {
	font-family: kt-get($kt-font-families, regular);
}

// Form fields
.mat-form-field-fluid {
    display: block !important;
}

//Form Designer
.mat-form-designer {
	margin-left: 12rem;

	.title {
		font-family: kt-get($kt-font-families, regular);
		font-size: 2em;
		font-weight: 500;
		color: #242424;
		letter-spacing: normal;
		line-height: normal;
		font-stretch: normal;
		margin-bottom: 2rem;
	}
}

// Tabs
.mat-tab-content-button{
	.title {
		font-family: kt-get($kt-font-families, regular);
		font-size: 1em;
		font-weight: 500;
		color: #bdbdbd;
		letter-spacing: normal;
		line-height: normal;
		font-stretch: normal;
	}

	.button-wrapper{
		max-width: 75px;
		margin-right: 15px;
		
		.button-section{
			width: 52px;
			height: 50px;
			object-fit: contain;
			border-radius: 3px;

			&:hover {
				border: 1px solid #8f8f8f;
			}
		}
	
		.description{
			font-family: kt-get($kt-font-families, regular);
			font-size: 10px;
			font-weight: 500;
			color: #8f8f8f;
			letter-spacing: normal;
			line-height: normal;
			font-stretch: normal;
			text-align: center;
		}
	}

	
}
.mat-tab-body-content {
    overflow: visible !important;
    
}

.mat-tab-label {
	height: 70px !important;
	width: 300px;
	border-radius: 6px;
	margin-left: -5px;
	background-color: #ffffff;

	.mat-tab-label-title {
		font-family: kt-get($kt-font-families, regular);
		font-size: 18px;
		font-weight: 500;
		font-stretch: normal;
		font-style: normal;
		line-height: normal;
		letter-spacing: normal;
		color: #959cb6;
	}

	i {
		font-size: 2em;
		font-weight: normal;
		color: #959cb6;
	}
}

.mat-tab-label-active {
	background-color: #ffffff;
	opacity: 1 !important;

	.mat-tab-label-title {
		font-family: kt-get($kt-font-families, regular);
		font-size: 18px;
		font-weight: 500;
		font-stretch: normal;
		font-style: normal;
		line-height: normal;
		letter-spacing: normal;
		color: #15479e;
	}

	i {
		font-size: 2em;
		font-weight: normal;
		color: #15479e;
	}
}



.mat-tab-label-content-title {
	font-family: kt-get($kt-font-families, regular);
	font-size: 2em;
	font-weight: 500;
	font-stretch: normal;
	font-style: normal;
	line-height: normal;
	letter-spacing: normal;
	text-align: center;
	color: #8f8f8f;
	margin-bottom: 30px;
}

.mat-tab-label-icon {
	margin-right: 31px;
}

.mat-form-field-infix {
	    input:-webkit-autofill,
	    input:-webkit-autofill:hover,
	    input:-webkit-autofill:focus,
	    input:-webkit-autofill:active {
		-webkit-text-fill-color: #000 !important;
	}
}

.example-ripple-container {
	cursor: pointer;
	text-align: center;
  
	width: 300px;
	height: 300px;
	line-height: 300px;
  
	user-select: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
  
	-webkit-user-drag: none;
	-webkit-tap-highlight-color: transparent;
}
  
/** Styles to make the demo look better. */
.example-ripple-checkbox {
	margin: 6px 12px 6px 0;
}
  
.example-ripple-form-field {
	margin: 0 12px 0 0;
}